Bug 316312 - duplicate events created in google calendar when invitation accepted
Summary: duplicate events created in google calendar when invitation accepted
Status: RESOLVED FIXED
Alias: None
Product: korganizer
Classification: Unclassified
Component: invitations (show other bugs)
Version: 4.11
Platform: openSUSE RPMs Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Sergio Martins
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-03-07 14:26 UTC by Ruchir Brahmbhatt
Modified: 2014-02-14 10:30 UTC (History)
4 users (show)

See Also:
Latest Commit:
Version Fixed In: 4.11.3


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Ruchir Brahmbhatt 2013-03-07 14:26:36 UTC
OS: opensuse 12.2 i686
KDE: 4.10.0
Gmail IMAP account
Google calendar added

When I receive invitation for event and I accept it, it creates a duplicate event in google calendar instead of just updating existing event. When I try to delete duplicate event from google calendar, the sender gets notification that I declined the event.

Reproducible: Always

Steps to Reproduce:
1. Configure kmail2 with gmail imap account.
2. Configure google calendar in kontact.
3. Receive invitation of event.
4. Accept
5. Select google calendar when prompted.
Actual Results:  
Duplicate event created 

Expected Results:  
Just existing event should update with response.
Comment 1 Benoit Leffray 2013-04-24 21:26:00 UTC
I do see the exact same problem with a different setting:
- my korganizer fetches its calendar from a local Davmail server that  acts as a proxy to the Exchange server of my company.
Comment 2 Benoit Leffray 2013-04-24 21:28:01 UTC
OS: Ubuntu 12.10 AMD64
KDE: 4.10.2
Comment 3 Sergio Martins 2013-08-04 22:22:41 UTC
Git commit 86df0d2c314484a225942e650e0f88df323bbc47 by Sergio Martins.
Committed on 04/08/2013 at 22:17.
Pushed by smartins into branch 'KDE/4.11'.

Fix incidences being duplicated when importing a calendar.

The ETMCalendar already detects new items, so don't insert them
when the ItemCreateJob finishes.

M  +2    -1    akonadi/calendar/calendarbase.cpp
M  +1    -0    akonadi/calendar/calendarbase_p.h
M  +1    -0    akonadi/calendar/etmcalendar.cpp

http://commits.kde.org/kdepimlibs/86df0d2c314484a225942e650e0f88df323bbc47
Comment 4 Ruchir Brahmbhatt 2013-08-21 09:44:44 UTC
I'm still able to reproduce this issue in 4.11.
Comment 5 Ruchir Brahmbhatt 2013-08-23 12:00:47 UTC
I noticed that when I accept the invitation, it adds event and deletes email but then it automatically creates copy of that email which shows up in inbox. Accepting this invitation again creates duplicate copy. So I think bug is partially resolved that it doesn't create duplicate events on first acceptance. But it creates duplicate email though.
Comment 6 Sergio Martins 2013-10-26 15:23:34 UTC
Invitation part fixed for 4.11.3.
Comment 7 Benoit Leffray 2014-02-06 13:42:25 UTC
Hi guys,

I would like to mention that in my case, I still get a duplicated event when I accept an invite on my current system :
OS: Ubuntu 13.10 AMD64
KDE: 4.12.1
My KOrganizer instance is connected to a local 'DavMail' proxy (runs on the same machine).
My KOrganizer is connected to DavMail via the 'CalDav' protocol.
Behind the scenes, my local DavMail proxy is connected over the network to the 'Microsoft Exchange' server of my company using the 'EWS' protocol. 
My KOrganizer has only ONE calendar.

I've never seen the'duplicate e-mail' issue stated above.
Upon reception of an invite, a corresponding e-mail is received in my KMail and a corresponding event is created in my calendar. So far, so good.
The thing is, when I accept the invite through the e-mail in KMail, then a second event is created in my calendar. This second event is the same except that it shows that I confirmed my presence to the event. Then I do have 2 duplicate events in my calendar: 
- the original event, not yet accepted,
- the duplicate event that has registered my acceptance of the event.

To me, this bug is very visible as the overall reliability of KDE improves. It is one of the latest defects that I can still see in my daily use of KDE.
That would be awesome if you guys had a bit of time to look into it.

Thanks,

Ben
Comment 8 Eric Francis 2014-02-13 15:00:49 UTC
I can also confirm that this is still an issue in KDE+Kontact 4.12.0, (k)ubuntu 12.04
same setup as Benoit above, using DavMail proxy server, CalDav between Korg and DavMail, Imap between Kmail and DavMail, EWS between DavMail and exchange server.  

When I hit accept in the e-mail invite in KMail, it asks which calendar to add it to (I have a personal calendar and a subscription to an ics-based calendar in our shared Confluence service, in addition to the exchange calendar via DavMail as described above).  At this point if I select the exchange calendar then the duplicate event is created.
Comment 9 SimionBaws 2014-02-14 10:30:38 UTC
I can confirm this bug too, with zimbra calendar.

I accept the meeting request from Kmail, the meeting is added to Korganizer instantly.
After 5 minutes (when calendar is syncing) the meeting is duplicated.

Please note that the duplicated meeting has a description, and the first one does not have.